# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = ['Veyon']


def install():
    # install as a client by default
    silentarg = '/S /NoMaster'

    # so, if computer name contains the term 'prof' we need a master install
    if 'prof' in get_hostname():
        silentarg = '/S'

    # let's install our software
    install_exe_if_needed('veyon-%s-win64-setup.exe' % control['version'].split('-')[0],silentarg,key='Veyon',min_version=control['version'].split('-')[0])
    # and remove the desktop shortcut
    remove_desktop_shortcut('Veyon Master')


def update_package():
    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    import json
    binaryfile,urlfile  = [(str(p['name']),str(p['browser_download_url'])) for p in json.loads(wgets('https://api.github.com/repos/veyon/veyon/releases/latest',proxies=proxies))['assets'] if '-win64-setup.exe' in p['name']][0]
    lastversion = binaryfile.split('-')[1]

    for exe in glob.glob('*.exe'):
        if exe != binaryfile:
            remove_file(exe)

    if not isfile(binaryfile):
        wget(urlfile,binaryfile,proxies=proxies)

    os.chdir(os.path.dirname(__file__))
    from waptpackage import PackageEntry
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    print('Last Version %s' % lastversion)
    pe.version = lastversion + '-0'
    pe.save_control_to_wapt(os.getcwd())


if __name__ == '__main__':
    update_package()